package com.yanzhu.jh.wxsetting.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 菜单配置对象 sur_menu_config
 * 
 * @author JiangYuQi
 * @date 2023-08-24
 */
public class SurMenuConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 菜单名称 */
    @Excel(name = "菜单名称")
    private String menuName;

    /** 菜单标识 */
    @Excel(name = "菜单标识")
    private String menuIdenti;

    /** 菜单图片 */
    @Excel(name = "菜单图片")
    private String menuImg;

    /** 菜单地址 */
    @Excel(name = "菜单地址")
    private String menuUrl;

    /** 删除状态（0 未删除 1 已删除） */
    private Long delFlag;

    /** 菜单排序 */
    @Excel(name = "菜单排序")
    private Integer menuSort;

    /** 菜单配置角色信息 */
    private List<SurMenuConfigRole> surMenuConfigRoleList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMenuName(String menuName) 
    {
        this.menuName = menuName;
    }

    public String getMenuName() 
    {
        return menuName;
    }
    public void setMenuIdenti(String menuIdenti) 
    {
        this.menuIdenti = menuIdenti;
    }

    public String getMenuIdenti() 
    {
        return menuIdenti;
    }
    public void setMenuImg(String menuImg) 
    {
        this.menuImg = menuImg;
    }

    public String getMenuImg() 
    {
        return menuImg;
    }
    public void setMenuUrl(String menuUrl) 
    {
        this.menuUrl = menuUrl;
    }

    public String getMenuUrl() 
    {
        return menuUrl;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }

    public List<SurMenuConfigRole> getSurMenuConfigRoleList()
    {
        return surMenuConfigRoleList;
    }

    public void setSurMenuConfigRoleList(List<SurMenuConfigRole> surMenuConfigRoleList)
    {
        this.surMenuConfigRoleList = surMenuConfigRoleList;
    }

    public Integer getMenuSort() {
        return menuSort;
    }

    public void setMenuSort(Integer menuSort) {
        this.menuSort = menuSort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("menuName", getMenuName())
            .append("menuIdenti", getMenuIdenti())
            .append("menuImg", getMenuImg())
            .append("menuUrl", getMenuUrl())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("surMenuConfigRoleList", getSurMenuConfigRoleList())
            .toString();
    }
}
